Open CASCADE Technology: PNaming_Naming_1 Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PNaming_Naming_1 Class Reference

`#include <PNaming_Naming_1.hxx>`

Inheritance diagram for PNaming_Naming_1:
[legend]

## Public Member Functions
| PNaming_Naming_1 ()
void | SetName (const Handle< PNaming_Name_1 > &aName)
Handle< PNaming_Name_1 > | GetName () const
| PNaming_Naming_1 (const Storage_stCONSTclCOM &a)
Handle< PNaming_Name_1 > | _CSFDB_GetPNaming_Naming_1myName () const
void | _CSFDB_SetPNaming_Naming_1myName (const Handle< PNaming_Name_1 > &p)
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PNaming_Naming_1::PNaming_Naming_1 | ( |  | ) |

PNaming_Naming_1::PNaming_Naming_1 | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PNaming_Name_1 > PNaming_Naming_1::_CSFDB_GetPNaming_Naming_1myName | ( |  | ) | const
| inline

void PNaming_Naming_1::_CSFDB_SetPNaming_Naming_1myName | ( | const Handle< PNaming_Name_1 > & | p | ) |
| inline

Handle< PNaming_Name_1 > PNaming_Naming_1::GetName | ( |  | ) | const

void PNaming_Naming_1::SetName | ( | const Handle< PNaming_Name_1 > & | aName | ) |

The documentation for this class was generated from the following file:

- PNaming_Naming_1.hxx